/*
 * FILE:    page.h
 * PACKAGE: PNML view
 * LICENCE: See LICENCE file
 * AUTHOR:  Freek van Walderveen
 *
 */

#ifndef PAGE_H
#define PAGE_H

#include "transition.h"

class QPainter;
class Net;

class Page : public Transition {
public:
  Page();
  ~Page();
  
  inline Net *getNet() const;
  inline void setNet (Net *value);
  
protected:
  Net *net;

private:

};

inline Net *Page::getNet() const {
  return net;
}

inline void Page::setNet (Net *value) {
  net = value;
}

#endif //PAGE_H
