TEMPLATE = app
QT += xml qt3support
#DEFINES += MY_PDF # enable QPdfEngine hack to change paper size
DEFINES += SHOW_FAKE_ARCS # enable display of arcs from reference places as fake arcs in the parent level
CONFIG += release precompile_header
mac:CONFIG += ppc x86
DEPENDPATH += .
INCLUDEPATH += .
contains(DEFINES, MY_PDF) {
  win32:INCLUDEPATH += $$[QT_INSTALL_PREFIX]/src/3rdparty/zlib
}
MOC_DIR = .moc
OBJECTS_DIR = .obj
UI_DIR = .ui
RCC_DIR = .rcc

# Input
PRECOMPILED_HEADER  = stable.h
HEADERS += stable.h mainwindow.h drawwidget.h batchconvertdialog.h \
           prefdialog.h styledbutton.h listwidget.h \
           pnmlhandler.h export.h \
           arc.h connectable.h drawable.h net.h page.h place.h \
           transition.h comment.h labelplacer.h drawprops.h version.h

FORMS += mainwindow.ui batchconvertdialog.ui prefdialog.ui versiondialog.ui

SOURCES += main.cpp mainwindow.cpp drawwidget.cpp batchconvertdialog.cpp \
           prefdialog.cpp styledbutton.cpp listwidget.cpp \
           pnmlhandler.cpp export.cpp \
           arc.cpp connectable.cpp drawable.cpp net.cpp page.cpp place.cpp \
           transition.cpp comment.cpp labelplacer.cpp drawprops.cpp

RESOURCES = images.qrc
win32:RC_FILE = images/icon.rc
mac {
  ICON = images/pnmlview.icns
  TARGET = PNMLview
}

contains(DEFINES, MY_PDF) {
  HEADERS += pdf/qprintengine_pdf_p.h
  SOURCES += pdf/qprintengine_pdf.cpp
}
